Contents | Parent Topic | Previous Topic | Next Topic
Home | Catalog

# 2.6. Filters

## 2.6.1. Introduction

A filter controls how a block of text is interpreted. The text is usually delimited by block and endblock macros.

For example, tables are usually defined via the table filter:

    !block table
    Option  Description
    -h      display help
    -o      specify the output extension
    !endblock

The result is:

Option | Description
-h | display help
-o | specify the output extension

## 2.6.2. Commonly used filters

Some of the commonly used filters are:

Filter | Description
table | the lines are a table in SDF's TBL format
example | the lines are example paragraphs
title | used to build a title block for memos, faxes, etc.
topics | include files as sub-topics
appendix | replace H1 styles with A1, etc.
plain | replace H1 styles with P1, etc.

A complete list of the supported filters and their parameters is given in the SDF Reference manual.

## 2.6.3. Other macros supporting filters

Other macros also support filters. These include:

- include - include text from another file
- execute - include the output of a system command.

For example, the following line includes another SDF file and formats it as an appendix:

       !include "tips.sdf"; appendix

Note: The appendix and plain filters enable authors to construct topics without needing to worry about how those topics will be used, e.g. a topic may be a chapter in one document and an appendix in another!